org.encog.bot.browse.range

## Class FormElement

- java.lang.Object
- - org.encog.bot.browse.range.DocumentRange
  - - org.encog.bot.browse.range.FormElement

- Direct Known Subclasses:
    Input

      public abstract class FormElement
      extends DocumentRange

  A document range that represents one individual component to a form.
  Author:
    jheaton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormElement(WebPage source)` Construct a form element from the specified web page.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `Form` | `getOwner()`
    `String` | `getValue()`
    `abstract boolean` | `isAutoSend()`
    `void` | `setName(String theName)` Set the name of this form element.
    `void` | `setOwner(Form theOwner)` Set the owner of this form element.
    `void` | `setValue(String theValue)` Set the value for this form element.
    `String` | `toString()`

    - ### Methods inherited from class org.encog.bot.browse.range.DocumentRange

      `addElement, getBegin, getClassAttribute, getElements, getEnd, getIdAttribute, getParent, getSource, getTextOnly, setBegin, setClassAttribute, setEnd, setIdAttribute, setParent, setSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FormElement

          public FormElement(WebPage source)

      Construct a form element from the specified web page.
      Parameters:
        `source` - The page that holds this form element.

  - ### Method Detail

    - #### getName

          public final String getName()

      Returns:
        The name of this form.

    - #### getOwner

          public final Form getOwner()

      Returns:
        The owner of this form element.

    - #### getValue

          public final String getValue()

      Returns:
        The value of this form element.

    - #### isAutoSend

          public abstract boolean isAutoSend()

      Returns:
        True if this is autosend, which means that the type is NOT submit. This prevents a form that has multiple submit buttons from sending ALL of them in a single post.

    - #### setName

          public final void setName(String theName)

      Set the name of this form element.
      Parameters:
        `theName` - The name of this form element.

    - #### setOwner

          public final void setOwner(Form theOwner)

      Set the owner of this form element.
      Parameters:
        `theOwner` - The owner of this form element.

    - #### setValue

          public final void setValue(String theValue)

      Set the value for this form element.
      Parameters:
        `theValue` - The value for this form element.

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.